Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1572821

Summary: Review Request: nodejs-to-array - Turn an array like into an array
Product: [Fedora] Fedora Reporter: Jared Smith <jsmith.fedora>
Component: Package ReviewAssignee: Robert-AndrĂ© Mauchin 🐧 <zebob.m>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: package-review, zebob.m
Target Milestone: ---Flags: zebob.m: fedora-review+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-05-26 15:17:59 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 956806    

Description Jared Smith 2018-04-28 00:25:58 UTC
Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-to-array/nodejs-to-array.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-to-array/nodejs-to-array-0.1.4-1.fc29.src.rpm
Description: Turn an array like into an array
Fedora Account System Username: jsmith

Comment 1 Robert-AndrĂ© Mauchin 🐧 2018-04-28 15:03:45 UTC
 - You need to add tap to the BR:

Exécution_de(%check) : /bin/sh -e /var/tmp/rpm-tmp.PC54iH
+ umask 022
+ cd /builddir/build/BUILD
+ cd package
+ /usr/lib/rpm/nodejs-symlink-deps /usr/lib/node_modules --check
+ /usr/bin/node -e 'require("./")'
+ NODE_ENV=test
+ /usr/bin/tap --stderr --tap test/to-array.test.js
BUILDSTDERR: /var/tmp/rpm-tmp.PC54iH: line 35: /usr/bin/tap: No such file or directory


%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(tap)
%endif


 - Latest version packaged
 - License ok
 - Builds in Mock
 - No rpmlint errors
 - Conforms to the Packaging Guidelines

Package approved.

Comment 2 Jared Smith 2018-05-01 13:06:12 UTC
Repo requested at https://pagure.io/releng/fedora-scm-requests/issue/6401.

Comment 3 Gwyn Ciesla 2018-05-01 13:54:16 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/nodejs-to-array

Comment 4 Jared Smith 2018-05-26 15:17:59 UTC
Packaged in Rawhide, closing this issue